Bug 74839 - EDITING: Position of connectors connected to a group aren't updated after editing group content and exiting group
Summary: EDITING: Position of connectors connected to a group aren't updated after edi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Connectors
  Show dependency treegraph
 
Reported: 2014-02-11 13:31 UTC by insecte.furtif
Modified: 2022-03-10 03:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Steps to reproduce and current behavior (33.06 KB, image/png)
2014-02-11 13:31 UTC, insecte.furtif
Details

Note You need to log in before you can comment on or make changes to this bug.
Description insecte.furtif 2014-02-11 13:31:00 UTC
Created attachment 93864 [details]
Steps to reproduce and current behavior

Problem description:
Position of a connector connected to a group isn't updated when you edit an object inside the group.

Steps to reproduce:
1. Create two or more forms (or any object) and group them
2. Add a connector that connect to that group
3. Double-click on a form of the group to edit it
4. Resize the form or move it (in a way that change the group dimensions)

Current behavior: The connector stay where it was before editing

Expected behavior: The position of the connector should update immediately

Note:
If you then move the group position, the connector position updates as expected, so the problem is only about updating immediately.
Operating System: Ubuntu
Version: 4.2.0.4 release
Comment 1 Buovjaga 2014-10-26 14:13:46 UTC
I confirm and label as enhancement.

Tested on Win 7 64-bit dev build Version: 4.4.0.0.alpha1+
Build ID: fa58d91094895a530648630fa64b8724ea1e4305
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-26_09:30:18
Comment 2 Heiko Tietze 2016-05-02 11:38:31 UTC
After moving one of the groups the connector between the groups jumps to the right position. Looks like an EASYHACK since just a refresh is needed.

No enhancement, just an ordinary bug.

Version: 5.2.0.0.alpha0+
Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
Locale: de-DE (de_DE)
Comment 3 jani 2016-05-03 06:22:30 UTC
Missing code pointer, which is mandatory for easyhacks.

Also please select skill* and difficulty* keywords
Comment 4 Heiko Tietze 2016-05-13 13:51:26 UTC
(In reply to jan iversen from comment #3)
> Missing code pointer, which is mandatory for easyhacks.
> 
> Also please select skill* and difficulty* keywords

Setting "easyHack, needsDevEval, topicUI" to get the code pointers and everything else from the devs.
Comment 5 Heiko Tietze 2016-06-28 15:15:57 UTC
NEEDINFO for the code pointers.
Comment 6 Xisco Faulí 2016-09-15 15:27:02 UTC
Removing keyword 'needsDevEval' as this bug is an easyHack
Comment 7 Xisco Faulí 2016-09-27 10:36:17 UTC Comment hidden (obsolete)
Comment 8 raal 2019-10-23 03:24:34 UTC
Works for me in Version: 6.4.0.0.alpha1+
Build ID: de4839e66d3d195315729b95cc144cdab96b6e74
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

Please retest with current version. Thank you.
Comment 9 Buovjaga 2019-10-23 07:53:06 UTC
(In reply to raal from comment #8)
> Works for me in Version: 6.4.0.0.alpha1+
> Build ID: de4839e66d3d195315729b95cc144cdab96b6e74
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> 
> Please retest with current version. Thank you.

Doesn't work for me. If I enter the group, change the elements bigger, then exit the group, the connector position does not update. I have to move the group for it to update.

Changed summary to be clearer about the steps.

Arch Linux 64-bit
Version: 6.4.0.0.alpha1+
Build ID: 01d28b0b85f99590c0581e4bbf636bc9281e0571
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 17 October 2019
Comment 10 Xisco Faulí 2020-03-09 13:28:12 UTC
Please add keyword 'needsUXEval' and CC 'libreoffice-ux-advise@lists.freedesktop.org' if input from UX is needed.
Comment 11 QA Administrators 2022-03-10 03:44:12 UTC
Dear insecte.furtif,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug